Get all fact-find sections for a template Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/fact-find/templates/{factFindTemplate_uuid}/sections

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindTemplate_uuid string Required

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by a given name. Partial filter.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, position]. Negative sign to denote DESC. Defaults to 'position'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • fact_find_template object
        Hide fact_find_template attributes Show fact_find_template attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • description string
        • opening_statement string
        • closing_statement string
        • is_published boolean
        • is_locked boolean
        • active_session_count integer
        • sections object
          Hide sections attributes Show sections attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the fact find section.

          • introduction_html

            HTML introduction shown at the start of this section.

          • position

            The position/order of this section within the template.

          • is_complete

            Whether the section has been completed by the fact find pass.

      • name string
      • introduction_html string
      • position integer
      • is_complete boolean
      • blocks object
        Hide blocks attributes Show blocks attributes object
        • uuid string
        • created_at string
        • updated_at string
        • fact_find_section object
          Hide fact_find_section attributes Show fact_find_section attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the fact find section.

          • introduction_html

            HTML introduction shown at the start of this section.

          • position

            The position/order of this section within the template.

          • is_complete

            Whether the section has been completed by the fact find pass.

        • name string
        • introduction_html string
        • position integer
GET /api/v2/fact-find/templates/{factFindTemplate_uuid}/sections
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sections' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "0936ee49-f04b-47ef-a619-b6b29c4b205d",
      "created_at": "2026-08-28T07:35:00+01:00",
      "updated_at": "2026-08-28T07:35:00+01:00",
      "fact_find_template": {
        "uuid": "73c69a5e-9486-4980-96fd-d3719215db71",
        "created_at": "2026-08-28T07:35:00+01:00",
        "updated_at": "2026-08-28T07:35:00+01:00",
        "name": "My Fact-Find Template",
        "description": "A comprehensive fact-find template for new clients.",
        "opening_statement": "Welcome to our fact-find process...",
        "closing_statement": "Thank you for completing the fact find",
        "is_published": true,
        "is_locked": false,
        "active_session_count": 0,
        "sections": {
          "uuid": "40ca9757-c516-46d2-bb9d-00468855f55d",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "name": "Personal Details",
          "introduction_html": "<p>Please provide your personal details below.</p>",
          "position": 1,
          "is_complete": false
        }
      },
      "name": "Personal Details",
      "introduction_html": "<p>Please provide your personal details below.</p>",
      "position": 1,
      "is_complete": false,
      "blocks": {
        "uuid": "1bdb8fa0-c802-4af0-b9be-9502c8f83755",
        "created_at": "2026-08-28T07:35:00+01:00",
        "updated_at": "2026-08-28T07:35:00+01:00",
        "fact_find_section": {
          "uuid": "40ca9757-c516-46d2-bb9d-00468855f55d",
          "created_at": "2026-08-28T07:35:05+01:00",
          "updated_at": "2026-08-28T07:35:05+01:00",
          "name": "Personal Details",
          "introduction_html": "<p>Please provide your personal details below.</p>",
          "position": 1,
          "is_complete": false
        },
        "name": "Income Details",
        "introduction_html": "<p>Please provide your income details below.</p>",
        "position": 1
      }
    }
  ]
}